Main Page Class Hierarchy Compound List File List Compound Members File Members

# TCPRecvConnection Class Reference

Connessione TCP di Ricezione. More...

`#include <TCPConnection.h>`

Inheritance diagram for TCPRecvConnection:

List of all members.

## Public Methods
| TCPRecvConnection ()
| Costruttore di Default. More...
| TCPRecvConnection (antStackRef ipStack, int bs)
| Costruttore base. More...
| ~TCPRecvConnection ()
| Distruttore di Default.
OStatus | initConnection ()
| Inizializza la connessione. More...
OStatus | stop ()
| Ferma la ricezione. More...
byte * | getRecvData ()
| Restituisce il buffer di ricezione. More...
int | getRecvSize ()
| Restituisce la dimensione massima del pacchetto ricevibile. More...
void | setRecvSize (int size)
| Imposta la dimensione massima del buffer di ricezione. More...

## Detailed Description

Connessione TCP di Ricezione.

Rappresenta una connessione di ricezione TCP utilizzata da TelepatiTcp. Aggiunge a TCPConnection la gestione del buffer di ricezione e implementa i metodi "pure virtual" initConnection() e stop().

## Constructor & Destructor Documentation

TCPRecvConnection::TCPRecvConnection | ( |  | ) | `[inline]`

| Costruttore di Default. La connessione sara' INVALID.

TCPRecvConnection::TCPRecvConnection | ( | antStackRef | ipStack,
|  | int | bs
| ) |

  | Costruttore base. Costruisce una connessione TCP di ricezione, ma non inizializza i buffer. Parameters:
  ipStack | riferimento allo stack TCP/IP dell'Aibo.
  bs | dimensione del buffer di ricezione in byte.

## Member Function Documentation

byte* TCPRecvConnection::getRecvData | ( |  | ) | `[inline]`

| Restituisce il buffer di ricezione. Ritorna un riferimento al buffer di ricezione della connessione. Returns: puntatore al buffer di ricezione

int TCPRecvConnection::getRecvSize | ( |  | ) | `[inline]`

| Restituisce la dimensione massima del pacchetto ricevibile. Il valore restituito non si e' la dimensione del buffer di ricezione, che viene specificato nel costruttore, ma un valore con solo significato informativo.@return dimensione massima pacchetto

OStatus TCPRecvConnection::initConnection | ( |  | ) | `[virtual]`

| Inizializza la connessione. Inizializza il buffer di ricezione e l'endpoint della connessione. Returns: oSUCCESS in caso si successo; oFAIL altrimenti Implements TCPConnection.

void TCPRecvConnection::setRecvSize | ( | int | size | ) | `[inline]`

  | Imposta la dimensione massima del buffer di ricezione. Il valore passato come parametro non si e' la dimensione del buffer di ricezione, che viene specificato nel costruttore, ma un valore con solo significato informativo. Parameters:
  size | nuova dimensione del buffer di ricezione.

OStatus TCPRecvConnection::stop | ( |  | ) | `[virtual]`

| Ferma la ricezione. Chiude la connessione, dopo la chiamata a questo metodo la connessione non sara' piu' utilizzabile. Returns: oSUCCESS in caso si successo; oFAIL altrimenti Implements TCPConnection.

The documentation for this class was generated from the following files:

- /home/gilberto/prog/tesi2.31/TelepatiTcp/TCPConnection.h
- /home/gilberto/prog/tesi2.31/TelepatiTcp/TCPConnection.cc